Bug 21563 - Update port mail/qmail and mail/qmail-ldap (MAINTAINER update)
Summary: Update port mail/qmail and mail/qmail-ldap (MAINTAINER update)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2000-09-26 17:10 UTC by lioux
Modified: 2016-12-28 16:57 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.51 KB, patch)
2000-09-26 17:10 UTC, lioux
no flags Details | Diff
file.diff (3.33 KB, patch)
2000-09-26 17:10 UTC, lioux
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lioux 2000-09-26 17:10:01 UTC
This is one of my periodic maintainance updates. :)

I am updating the qmail-ldap port. The version is being bumped
from 1.03 to 1.03.20000701. I hope this is enough to avoid
a PORTEPOCH tag.

Since, my qmail port and qmail-ldap share makefile logic, I
had to update the qmail port accordingly (mainly the md5 file).
However, since I was there, I tweaked a bit the makefile from
both ports so as to permit both easier and simpler future
updates.

However, this is not worth a PORTREVISION tag. I did not
change the behavior of the qmail port in any way.

On a side note, I switched my MASTERDIR to 
MASTERDIR=     ${PORTSDIR}/mail/qmail
instead of using ${.CURDIR}/../qmail

It feels better but which is considered more
appropriate for porting style?

How-To-Repeat: 
n/a
Comment 1 lioux 2000-09-28 04:58:23 UTC
	Well, I think the 1st modification would make it a bit more
cleaner.
	Also, I added the NO_ tags since there are some issues to
be resolved about the licensing. qmail's author is very sensitive
about his software.
	Just add this after the aforementioned qmail-ldap patch.

diff -ruN qmail-ldap.orig/Makefile qmail-ldap/Makefile
--- qmail-ldap.orig/Makefile	Thu Sep 28 00:43:15 2000
+++ qmail-ldap/Makefile	Thu Sep 28 00:54:29 2000
@@ -11,11 +11,14 @@
 PKGNAMESUFFIX=	-ldap
 
 PATCH_SITES=	http://www.nrg4u.com/qmail/
-PATCHFILES=	qmail-ldap-1.03-${LDAP_PATCH_DATE}.patch.gz
+PATCHFILES=	qmail-ldap-${QMAIL_VERSION}-${LDAP_PATCH_DATE}.patch.gz
 
 MAINTAINER=	lioux@linf.unb.br
 
 LIB_DEPENDS+=	ldap.1:${PORTSDIR}/net/openldap
+
+NO_CDROM=	Unsure of djb\'s license
+NO_PACKAGE=	${NO_CDROM}
 
 .if !defined(PRE_MK_INCLUDED)
 .include <bsd.port.pre.mk>
Comment 2 nbm freebsd_committer 2000-09-28 21:56:55 UTC
State Changed
From-To: open->closed

Tweaked and updated, thanks!
Comment 3 commit-hook freebsd_committer 2016-12-28 16:55:16 UTC
A commit references this bug:

Author: brnrd
Date: Wed Dec 28 16:54:53 UTC 2016
New revision: 429799
URL: https://svnweb.freebsd.org/changeset/ports/429799

Log:
  mail/phpmailer: Update to 5.2.20

    - Update to version 5.2.20
    - Fixes critical RCE

  PR:		21563
  Security:	3c4693de-ccf7-11e6-a9a5-b499baebfeaf
  Security:	CVE-2016-10045
  MFH:		2016Q4

Changes:
  head/mail/phpmailer/Makefile
  head/mail/phpmailer/distinfo
Comment 4 commit-hook freebsd_committer 2016-12-28 16:57:21 UTC
A commit references this bug:

Author: brnrd
Date: Wed Dec 28 16:56:46 UTC 2016
New revision: 429801
URL: https://svnweb.freebsd.org/changeset/ports/429801

Log:
  MFH: r429799

  mail/phpmailer: Update to 5.2.20

    - Update to version 5.2.20
    - Fixes critical RCE

  PR:		21563
  Security:	3c4693de-ccf7-11e6-a9a5-b499baebfeaf
  Security:	CVE-2016-10045

  Approved by:	ports-secteam (zi@)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/mail/phpmailer/Makefile
  branches/2016Q4/mail/phpmailer/distinfo